import request from '@/utils/request'

// 查询列表
export function listData(query) {
  return request({
    url: '/face/data/list',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getData(faceId) {
  return request({
    url: '/face/data/' + faceId,
    method: 'get'
  })
}

// 新增
export function addData(data) {
  return request({
    url: '/face/data/add',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 修改
export function updateData(data) {
  return request({
    url: '/face/data/edit',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }

  })
}

// 删除
export function delData(faceId) {
  return request({
    url: '/face/data/delete/' + faceId,
    method: 'post'
  })
}
